package cn.exploring.engine.server.db.domain.vo;

import cn.exploring.engine.server.db.domain.StudentInfo;
import cn.zhxu.bs.bean.DbField;
import cn.zhxu.bs.bean.SearchBean;

@SearchBean(
        tables = "(select * from student_info where deleted = false) st left join (select * from class_info where deleted = false) cl on cl.id = st.class_id",
        autoMapTo = "st",
        ignoreFields = { "incrementColumnsInfoMap" },
        orderBy = "rand()"
)
public class StudentVo extends StudentInfo {

    @DbField("cl.class_name")
    public String className;

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }
}
